#if !defined(TEXTURE_H)
#define TEXTURE_H

#include "Image.h"
#include "DataOutputStream.h"
#include "DataInputStream.h"

/****************************************************************************/
/** \class Texture
    \brief Eine Texture
*****************************************************************************/
class Texture : public Image
{
private:
   unsigned long m_time;

public: 
	Texture();
   virtual ~Texture();

   void scroll(int dir) ;
   void load(DataInputStream& dataIn);  // throws IOException;
   void save(DataOutputStream& dataOut); //throws IOException;
};
#endif // !defined(TEXTURE_H)
